<?php
// Goat api search block fo Chicago Institute of Art

namespace Drupal\goat_api\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Form\FormInterface;

/**
 * Provides a block with a simple text.
 * Used in goat node display to show parents
 *
 * @Block(
 *   id = "goat_api_chi_block",
 *   admin_label = @Translation("goat api chicago block"),
 *   category = @Translation("farm"),
 * )
 */
class goat_api_chi_block extends BlockBase {
  /**
   * {@inheritdoc}
   */
  public function build() {
    $config_form = \Drupal::formBuilder()->getForm('Drupal\goat_api\Form\ChiForm');

    return [
      '#theme' => 'goat_api_chi_block',
      '#config_form' => $config_form,
      '#data' => $config_form['output']['#text'],
    ];

  }

  /**
   * {@inheritdoc}
   */
  protected function blockAccess(AccountInterface $account) {
    return AccessResult::allowedIfHasPermission($account, 'access content');
  }
}
